diff --git a/spec/classes/masquerade_spec.rb b/spec/classes/masquerade_spec.rb
index 297e0e2..c16a36d 100644
--- a/spec/classes/masquerade_spec.rb
+++ b/spec/classes/masquerade_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables' do
@@ -35,75 +37,84 @@ describe 'nftables' do
         it { is_expected.to compile }
 
         it {
-          is_expected.to contain_concat('nftables-ip-nat-chain-POSTROUTING').with(
-            path:           '/etc/nftables/puppet-preflight/ip-nat-chain-POSTROUTING.nft',
-            owner:          'root',
-            group:          'root',
-            mode:           '0640',
+          expect(subject).to contain_concat('nftables-ip-nat-chain-POSTROUTING').with(
+            path: '/etc/nftables/puppet-preflight/ip-nat-chain-POSTROUTING.nft',
+            owner: 'root',
+            group: 'root',
+            mode: '0640',
             ensure_newline: true
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-header').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-header').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^chain POSTROUTING \{$},
-            order:   '00'
+            order: '00'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-type').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-type').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  type nat hook postrouting priority 100$},
-            order:   '01-nftables-ip-nat-chain-POSTROUTING-rule-type-b'
+            order: '01-nftables-ip-nat-chain-POSTROUTING-rule-type-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-policy').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-policy').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  policy accept$},
-            order:   '02-nftables-ip-nat-chain-POSTROUTING-rule-policy-b'
+            order: '02-nftables-ip-nat-chain-POSTROUTING-rule-policy-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-masquerade_eth0').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-masquerade_eth0').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  oifname eth0 masquerade$},
-            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_eth0-b'
+            order: '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_eth0-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-masquerade_eth1_vpn').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
-            content: %r{^  oifname eth1 ip saddr 192\.0\.2\.0\/24 masquerade$},
-            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_eth1_vpn-b'
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-masquerade_eth1_vpn').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
+            content: %r{^  oifname eth1 ip saddr 192\.0\.2\.0/24 masquerade$},
+            order: '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_eth1_vpn-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-masquerade_ssh').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
-            content: %r{^  ip saddr 192\.0\.2\.0\/24 ip daddr 198.51.100.2 tcp dport 22 masquerade$},
-            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_ssh-b'
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-masquerade_ssh').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
+            content: %r{^  ip saddr 192\.0\.2\.0/24 ip daddr 198.51.100.2 tcp dport 22 masquerade$},
+            order: '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_ssh-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-masquerade_ssh_gitlab').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
-            content: %r{^  ip saddr 192\.0\.2\.0\/24 ip daddr 198.51.100.2 tcp dport 22 masquerade$},
-            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_ssh_gitlab-b'
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-masquerade_ssh_gitlab').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
+            content: %r{^  ip saddr 192\.0\.2\.0/24 ip daddr 198.51.100.2 tcp dport 22 masquerade$},
+            order: '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_ssh_gitlab-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-masquerade_wireguard').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-masquerade_wireguard').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  udp dport 51820 masquerade$},
-            order:   '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_wireguard-b'
+            order: '70-nftables-ip-nat-chain-POSTROUTING-rule-masquerade_wireguard-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-footer').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-footer').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^\}$},
-            order:   '99'
+            order: '99'
           )
         }
       end
diff --git a/spec/classes/nftables_spec.rb b/spec/classes/nftables_spec.rb
index 8ddb91e..4b1edd0 100644
--- a/spec/classes/nftables_spec.rb
+++ b/spec/classes/nftables_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables' do
@@ -12,58 +14,58 @@ describe 'nftables' do
       it { is_expected.to contain_package('nftables') }
 
       it {
-        is_expected.to contain_file('/etc/nftables/puppet.nft').with(
+        expect(subject).to contain_file('/etc/nftables/puppet.nft').with(
           ensure: 'file',
-          owner:  'root',
-          group:  'root',
-          mode:   '0640',
+          owner: 'root',
+          group: 'root',
+          mode: '0640',
           content: %r{flush ruleset}
         )
       }
 
       it {
-        is_expected.to contain_file('/etc/nftables/puppet').with(
-          ensure:  'directory',
-          owner:   'root',
-          group:   'root',
-          mode:    '0750',
-          purge:   true,
-          force:   true,
+        expect(subject).to contain_file('/etc/nftables/puppet').with(
+          ensure: 'directory',
+          owner: 'root',
+          group: 'root',
+          mode: '0750',
+          purge: true,
+          force: true,
           recurse: true
         )
       }
 
       it {
-        is_expected.to contain_file('/etc/nftables/puppet-preflight.nft').with(
+        expect(subject).to contain_file('/etc/nftables/puppet-preflight.nft').with(
           ensure: 'file',
-          owner:  'root',
-          group:  'root',
-          mode:   '0640',
+          owner: 'root',
+          group: 'root',
+          mode: '0640',
           content: %r{flush ruleset}
         )
       }
 
       it {
-        is_expected.to contain_file('/etc/nftables/puppet-preflight').with(
-          ensure:  'directory',
-          owner:   'root',
-          group:   'root',
-          mode:    '0750',
-          purge:   true,
-          force:   true,
+        expect(subject).to contain_file('/etc/nftables/puppet-preflight').with(
+          ensure: 'directory',
+          owner: 'root',
+          group: 'root',
+          mode: '0750',
+          purge: true,
+          force: true,
           recurse: true
         )
       }
 
       it {
-        is_expected.to contain_exec('nft validate').with(
+        expect(subject).to contain_exec('nft validate').with(
           refreshonly: true,
           command: %r{^/usr/sbin/nft -I /etc/nftables/puppet-preflight -c -f /etc/nftables/puppet-preflight.nft.*}
         )
       }
 
       it {
-        is_expected.to contain_service('nftables').with(
+        expect(subject).to contain_service('nftables').with(
           ensure: 'running',
           enable: true,
           hasrestart: true,
@@ -72,17 +74,18 @@ describe 'nftables' do
       }
 
       it {
-        is_expected.to contain_systemd__dropin_file('puppet_nft.conf').with(
+        expect(subject).to contain_systemd__dropin_file('puppet_nft.conf').with(
           content: %r{^ExecReload=/sbin/nft -I /etc/nftables/puppet -f /etc/sysconfig/nftables.conf$}
         )
       }
 
       it {
-        is_expected.to contain_service('firewalld').with(
+        expect(subject).to contain_service('firewalld').with(
           ensure: 'stopped',
           enable: 'mask'
         )
       }
+
       it { is_expected.to contain_class('nftables::inet_filter') }
       it { is_expected.to contain_class('nftables::ip_nat') }
       it { is_expected.to contain_class('nftables::rules::out::http') }
@@ -121,10 +124,10 @@ describe 'nftables' do
         end
 
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-INPUT-rule-web_accept').with(
-            target:  'nftables-inet-filter-chain-INPUT',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-INPUT-rule-web_accept').with(
+            target: 'nftables-inet-filter-chain-INPUT',
             content: %r{^  iifname eth0 tcp dport \{ 80, 443 \} accept$},
-            order:   '50-nftables-inet-filter-chain-INPUT-rule-web_accept-b'
+            order: '50-nftables-inet-filter-chain-INPUT-rule-web_accept-b'
           )
         }
       end
@@ -146,14 +149,15 @@ describe 'nftables' do
         end
 
         it {
-          is_expected.to contain_nftables__set('testset1').with(
+          expect(subject).to contain_nftables__set('testset1').with(
             type: 'ipv4_addr',
             gc_interval: 2,
             table: 'inet-filter'
           )
         }
+
         it {
-          is_expected.to contain_nftables__set('testset2').with(
+          expect(subject).to contain_nftables__set('testset2').with(
             type: 'ipv6_addr',
             elements: ['2a02:62:c601::dead:beef'],
             table: 'inet-filter'
@@ -169,7 +173,7 @@ describe 'nftables' do
         end
 
         it {
-          is_expected.to contain_service('firewalld').with(
+          expect(subject).to contain_service('firewalld').with(
             ensure: 'stopped',
             enable: false
           )
@@ -216,37 +220,42 @@ describe 'nftables' do
 
         context 'with nftables fact matching' do
           let(:facts) do
-            super().merge(nftables: { tables: ['inet-abc', 'inet-f2b-table'] })
+            super().merge(nftables: { tables: %w[inet-abc inet-f2b-table] })
           end
 
           it {
-            is_expected.to contain_file('/etc/nftables/puppet-preflight.nft').
+            expect(subject).to contain_file('/etc/nftables/puppet-preflight.nft').
               with_content(%r{^table inet abc \{\}$})
           }
+
           it {
-            is_expected.to contain_file('/etc/nftables/puppet-preflight.nft').
+            expect(subject).to contain_file('/etc/nftables/puppet-preflight.nft').
               with_content(%r{^flush table inet abc$})
           }
         end
+
         context 'with nftables fact not matching' do
           let(:facts) do
-            super().merge(nftables: { tables: ['inet-abc', 'inet-ijk'] })
+            super().merge(nftables: { tables: %w[inet-abc inet-ijk] })
           end
 
           it {
-            is_expected.to contain_file('/etc/nftables/puppet-preflight.nft').
+            expect(subject).to contain_file('/etc/nftables/puppet-preflight.nft').
               with_content(%r{^table inet abc \{\}$})
           }
+
           it {
-            is_expected.to contain_file('/etc/nftables/puppet-preflight.nft').
+            expect(subject).to contain_file('/etc/nftables/puppet-preflight.nft').
               with_content(%r{^flush table inet abc$})
           }
+
           it {
-            is_expected.to contain_file('/etc/nftables/puppet-preflight.nft').
+            expect(subject).to contain_file('/etc/nftables/puppet-preflight.nft').
               with_content(%r{^table inet ijk \{\}$})
           }
+
           it {
-            is_expected.to contain_file('/etc/nftables/puppet-preflight.nft').
+            expect(subject).to contain_file('/etc/nftables/puppet-preflight.nft').
               with_content(%r{^flush table inet ijk$})
           }
         end
diff --git a/spec/classes/router_spec.rb b/spec/classes/router_spec.rb
index 9021def..cdb79c9 100644
--- a/spec/classes/router_spec.rb
+++ b/spec/classes/router_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables' do
@@ -31,123 +33,136 @@ describe 'nftables' do
         it { is_expected.to compile }
 
         it {
-          is_expected.to contain_concat('nftables-inet-filter-chain-default_fwd').with(
-            path:           '/etc/nftables/puppet-preflight/inet-filter-chain-default_fwd.nft',
-            owner:          'root',
-            group:          'root',
-            mode:           '0640',
+          expect(subject).to contain_concat('nftables-inet-filter-chain-default_fwd').with(
+            path: '/etc/nftables/puppet-preflight/inet-filter-chain-default_fwd.nft',
+            owner: 'root',
+            group: 'root',
+            mode: '0640',
             ensure_newline: true
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-header').with(
-            target:  'nftables-inet-filter-chain-default_fwd',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-header').with(
+            target: 'nftables-inet-filter-chain-default_fwd',
             content: %r{^chain default_fwd \{$},
-            order:   '00'
+            order: '00'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-rule-out').with(
-            target:  'nftables-inet-filter-chain-default_fwd',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-rule-out').with(
+            target: 'nftables-inet-filter-chain-default_fwd',
             content: %r{^  iifname eth1 oifname eth0 accept$},
-            order:   '20-nftables-inet-filter-chain-default_fwd-rule-out-b'
+            order: '20-nftables-inet-filter-chain-default_fwd-rule-out-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-rule-drop').with(
-            target:  'nftables-inet-filter-chain-default_fwd',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-rule-drop').with(
+            target: 'nftables-inet-filter-chain-default_fwd',
             content: %r{^  iifname eth0 drop$},
-            order:   '90-nftables-inet-filter-chain-default_fwd-rule-drop-b'
+            order: '90-nftables-inet-filter-chain-default_fwd-rule-drop-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-footer').with(
-            target:  'nftables-inet-filter-chain-default_fwd',
+          expect(subject).to contain_concat__fragment('nftables-inet-filter-chain-default_fwd-footer').with(
+            target: 'nftables-inet-filter-chain-default_fwd',
             content: %r{^\}$},
-            order:   '99'
+            order: '99'
           )
         }
 
         it {
-          is_expected.to contain_concat('nftables-ip-nat-chain-PREROUTING').with(
-            path:           '/etc/nftables/puppet-preflight/ip-nat-chain-PREROUTING.nft',
-            owner:          'root',
-            group:          'root',
-            mode:           '0640',
+          expect(subject).to contain_concat('nftables-ip-nat-chain-PREROUTING').with(
+            path: '/etc/nftables/puppet-preflight/ip-nat-chain-PREROUTING.nft',
+            owner: 'root',
+            group: 'root',
+            mode: '0640',
             ensure_newline: true
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-header').with(
-            target:  'nftables-ip-nat-chain-PREROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-header').with(
+            target: 'nftables-ip-nat-chain-PREROUTING',
             content: %r{^chain PREROUTING \{$},
-            order:   '00'
+            order: '00'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-type').with(
-            target:  'nftables-ip-nat-chain-PREROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-type').with(
+            target: 'nftables-ip-nat-chain-PREROUTING',
             content: %r{^  type nat hook prerouting priority -100$},
-            order:   '01-nftables-ip-nat-chain-PREROUTING-rule-type-b'
+            order: '01-nftables-ip-nat-chain-PREROUTING-rule-type-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-policy').with(
-            target:  'nftables-ip-nat-chain-PREROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-rule-policy').with(
+            target: 'nftables-ip-nat-chain-PREROUTING',
             content: %r{^  policy accept$},
-            order:   '02-nftables-ip-nat-chain-PREROUTING-rule-policy-b'
+            order: '02-nftables-ip-nat-chain-PREROUTING-rule-policy-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-footer').with(
-            target:  'nftables-ip-nat-chain-PREROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-PREROUTING-footer').with(
+            target: 'nftables-ip-nat-chain-PREROUTING',
             content: %r{^\}$},
-            order:   '99'
+            order: '99'
           )
         }
 
         it {
-          is_expected.to contain_concat('nftables-ip-nat-chain-POSTROUTING').with(
-            path:           '/etc/nftables/puppet-preflight/ip-nat-chain-POSTROUTING.nft',
-            owner:          'root',
-            group:          'root',
-            mode:           '0640',
+          expect(subject).to contain_concat('nftables-ip-nat-chain-POSTROUTING').with(
+            path: '/etc/nftables/puppet-preflight/ip-nat-chain-POSTROUTING.nft',
+            owner: 'root',
+            group: 'root',
+            mode: '0640',
             ensure_newline: true
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-header').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-header').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^chain POSTROUTING \{$},
-            order:   '00'
+            order: '00'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-type').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-type').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  type nat hook postrouting priority 100$},
-            order:   '01-nftables-ip-nat-chain-POSTROUTING-rule-type-b'
+            order: '01-nftables-ip-nat-chain-POSTROUTING-rule-type-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-policy').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-policy').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  policy accept$},
-            order:   '02-nftables-ip-nat-chain-POSTROUTING-rule-policy-b'
+            order: '02-nftables-ip-nat-chain-POSTROUTING-rule-policy-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-masquerade').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-rule-masquerade').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^  oifname eth0 masquerade$},
-            order:   '20-nftables-ip-nat-chain-POSTROUTING-rule-masquerade-b'
+            order: '20-nftables-ip-nat-chain-POSTROUTING-rule-masquerade-b'
           )
         }
+
         it {
-          is_expected.to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-footer').with(
-            target:  'nftables-ip-nat-chain-POSTROUTING',
+          expect(subject).to contain_concat__fragment('nftables-ip-nat-chain-POSTROUTING-footer').with(
+            target: 'nftables-ip-nat-chain-POSTROUTING',
             content: %r{^\}$},
-            order:   '99'
+            order: '99'
           )
         }
       end
diff --git a/spec/classes/rules/activemq_spec.rb b/spec/classes/rules/activemq_spec.rb
index a9c09b7..9757945 100644
--- a/spec/classes/rules/activemq_spec.rb
+++ b/spec/classes/rules/activemq_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::activemq' do
diff --git a/spec/classes/rules/afs3_callback_spec.rb b/spec/classes/rules/afs3_callback_spec.rb
index 042d6f7..3cab80e 100644
--- a/spec/classes/rules/afs3_callback_spec.rb
+++ b/spec/classes/rules/afs3_callback_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::afs3_callback' do
diff --git a/spec/classes/rules/ceph_mon_spec.rb b/spec/classes/rules/ceph_mon_spec.rb
index a529f3a..7ccf240 100644
--- a/spec/classes/rules/ceph_mon_spec.rb
+++ b/spec/classes/rules/ceph_mon_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::ceph_mon' do
diff --git a/spec/classes/rules/ceph_spec.rb b/spec/classes/rules/ceph_spec.rb
index 59f36f4..0ca40f8 100644
--- a/spec/classes/rules/ceph_spec.rb
+++ b/spec/classes/rules/ceph_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::ceph' do
diff --git a/spec/classes/rules/dns_spec.rb b/spec/classes/rules/dns_spec.rb
index 6176ebb..58d9f2b 100644
--- a/spec/classes/rules/dns_spec.rb
+++ b/spec/classes/rules/dns_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::dns' do
diff --git a/spec/classes/rules/docker_ce_spec.rb b/spec/classes/rules/docker_ce_spec.rb
index c0c2629..ee57308 100644
--- a/spec/classes/rules/docker_ce_spec.rb
+++ b/spec/classes/rules/docker_ce_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::docker_ce' do
@@ -14,24 +16,28 @@ describe 'nftables::rules::docker_ce' do
         it { is_expected.to contain_nftables__chain('DOCKER_ISOLATION_STAGE_1') }
         it { is_expected.to contain_nftables__chain('DOCKER_ISOLATION_STAGE_2') }
         it { is_expected.to contain_nftables__chain('DOCKER_USER') }
+
         it {
-          is_expected.to contain_nftables__chain('DOCKER-nat').with(
+          expect(subject).to contain_nftables__chain('DOCKER-nat').with(
             chain: 'DOCKER',
             table: 'ip-nat'
           )
         }
+
         it {
-          is_expected.to contain_nftables__chain('OUTPUT-nat').with(
+          expect(subject).to contain_nftables__chain('OUTPUT-nat').with(
             chain: 'OUTPUT',
             table: 'ip-nat'
           )
         }
+
         it {
-          is_expected.to contain_nftables__chain('INPUT-nat').with(
+          expect(subject).to contain_nftables__chain('INPUT-nat').with(
             chain: 'INPUT',
             table: 'ip-nat'
           )
         }
+
         it { is_expected.to contain_nftables__rule('DOCKER_ISOLATION_STAGE_1-iifname').with_content('iifname "docker0" oifname != "docker0" counter jump DOCKER_ISOLATION_STAGE_2') }
         it { is_expected.to contain_nftables__rule('DOCKER_ISOLATION_STAGE_1-counter').with_content('counter return') }
         it { is_expected.to contain_nftables__rule('DOCKER_ISOLATION_STAGE_2-drop').with_content('oifname "docker0" counter drop') }
@@ -45,39 +51,44 @@ describe 'nftables::rules::docker_ce' do
         it { is_expected.to contain_nftables__rule('default_fwd-idocker_odocker_accept').with_content('iifname "docker0" oifname "docker0" counter accept') }
 
         it {
-          is_expected.to contain_nftables__rule('POSTROUTING-docker').with(
+          expect(subject).to contain_nftables__rule('POSTROUTING-docker').with(
             content: 'oifname != "docker0" ip saddr 172.17.0.0/16 counter masquerade',
             table: 'ip-nat'
           )
         }
+
         it {
-          is_expected.to contain_nftables__rule('PREROUTING-docker').with(
+          expect(subject).to contain_nftables__rule('PREROUTING-docker').with(
             content: 'fib daddr type local counter jump DOCKER',
             table: 'ip-nat'
           )
         }
+
         it {
-          is_expected.to contain_nftables__rule('OUTPUT-jump_docker@ip-nat').with(
+          expect(subject).to contain_nftables__rule('OUTPUT-jump_docker@ip-nat').with(
             rulename: 'OUTPUT-jump_docker',
             content: 'ip daddr != 127.0.0.0/8 fib daddr type local counter jump DOCKER',
             table: 'ip-nat'
           )
         }
+
         it {
-          is_expected.to contain_nftables__rule('DOCKER-counter').with(
+          expect(subject).to contain_nftables__rule('DOCKER-counter').with(
             content: 'iifname "docker0" counter return',
             table: 'ip-nat'
           )
         }
+
         it {
-          is_expected.to contain_nftables__rule('INPUT-type@ip-nat').with(
+          expect(subject).to contain_nftables__rule('INPUT-type@ip-nat').with(
             rulename: 'INPUT-type',
             content: 'type nat hook input priority 100',
             table: 'ip-nat'
           )
         }
+
         it {
-          is_expected.to contain_nftables__rule('INPUT-policy@ip-nat').with(
+          expect(subject).to contain_nftables__rule('INPUT-policy@ip-nat').with(
             rulename: 'INPUT-policy',
             content: 'policy accept',
             table: 'ip-nat'
@@ -140,13 +151,14 @@ describe 'nftables::rules::docker_ce' do
         it { is_expected.to contain_nftables__rule('default_fwd-idocker_odocker_accept').with_content('iifname "ifdo0" oifname "ifdo0" counter accept') }
 
         it {
-          is_expected.to contain_nftables__rule('POSTROUTING-docker').with(
+          expect(subject).to contain_nftables__rule('POSTROUTING-docker').with(
             content: 'oifname != "ifdo0" ip saddr 192.168.4.0/24 counter masquerade',
             table: 'ip-nat'
           )
         }
+
         it {
-          is_expected.to contain_nftables__rule('DOCKER-counter').with(
+          expect(subject).to contain_nftables__rule('DOCKER-counter').with(
             content: 'iifname "ifdo0" counter return',
             table: 'ip-nat'
           )
diff --git a/spec/classes/rules/icinga2_spec.rb b/spec/classes/rules/icinga2_spec.rb
index 0253cf6..4ddbf98 100644
--- a/spec/classes/rules/icinga2_spec.rb
+++ b/spec/classes/rules/icinga2_spec.rb
@@ -1,3 +1,5 @@
+# frozen_string_literal: true
+
 require 'spec_helper'
 
 describe 'nftables::rules::icinga2' do
